package com.jarvis.dataCenter;


import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * @ClassName：WebAgencyApplication
 * @author: jinzhaopo
 * @Date: 2019-06-10
 * @Description: TODO
 **/


@SpringBootApplication
@ComponentScan(basePackages = {"com.jarvis"})
//@ServletComponentScan(basePackages = {"com.jarvis"})
@MapperScan(basePackages = {"com.jarvis.**.mapper"})
@Slf4j
public class OldDataCenterApplication {

    public static void main(String[] args) {
        SpringApplication app = new SpringApplication(OldDataCenterApplication.class);
        app.setBannerMode(Banner.Mode.OFF);
        app.run(args);

        if (log.isInfoEnabled()) {
            log.info("--------------Log WebAgencyApplication Start ON SpringBoot Success ------------");
        }
    }

}
