package com.jarvis.dataCenter.config;

import com.jarvis.lib.common.swagger.config.SwaggerConfiguration;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author jinzhaopo
 * @date 2019-09-18 13:05
 */
@Configuration
@EnableSwagger2
public class TestSwaggerConfig extends SwaggerConfiguration {

    @Override
    public ApiInfo apiInfo() throws UnknownHostException {
        return (new ApiInfoBuilder())
                .title("机构管理系统API")
                .description("主要内容包括:采购，进销存，寄售等")
                .termsOfServiceUrl("http://" + InetAddress.getLocalHost().getHostAddress() + ":" + super.getPort())
                .version("1.0")
                .contact("项目重构团队").build();
    }

}