package com.jarvis.dataCenter.controller;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.jarvis.common.redis.service.RedisService;
import com.jarvis.dataCenter.bean.BeanUtils;
import com.jarvis.dataCenter.entity.prod.*;
import com.jarvis.dataCenter.entity.report.ReportCsOrderInfo;
import com.jarvis.dataCenter.entity.report.ReportDoInfo;
import com.jarvis.dataCenter.entity.report.ReportSkuInfo;
import com.jarvis.dataCenter.entity.report.ReportSoPoInfo;
import com.jarvis.dataCenter.entity.warehouse.DeliveryLicenceEntity;
import com.jarvis.dataCenter.entity.warehouse.DeliveryOrderDetailEntity;
import com.jarvis.dataCenter.entity.warehouse.DeliveryOrderEntity;
import com.jarvis.dataCenter.entity.warehouse.WarehouseEntity;
import com.jarvis.dataCenter.service.prod.*;
import com.jarvis.dataCenter.service.report.ReportCsOrderInfoService;
import com.jarvis.dataCenter.service.report.ReportSkuInfoService;
import com.jarvis.dataCenter.service.report.ReportSoPoInfoService;
import com.jarvis.dataCenter.service.warehouse.DeliveryLicenceService;
import com.jarvis.dataCenter.service.warehouse.DeliveryOrderDetailService;
import com.jarvis.dataCenter.service.warehouse.DeliveryOrderService;
import com.jarvis.dataCenter.service.warehouse.WarehouseService;
import com.jarvis.lib.common.base.message.Message;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author jinzhaopo
 * @date 2019-10-21 14:48
 */
@RestController
@Slf4j
@Api("SYNC")
public class SyncController {


    private static final String SO_DETAIL_KEY = "SO_ID:";



    /**
     * 测试同步skuInfo信息
     *
     * @return
     */
    @ApiOperation("测试同步skuInfo信息")
    @GetMapping("/testSkuInfo")
    public Message<ReportSkuInfo> testSkuInfo() {

        return Message.success(null);
    }

    /**
     * 测试同步po，so信息
     *
     * @return
     */
    @ApiOperation("测试同步po，so信息")
    @GetMapping("/testSoPo")
    public Message<ReportSoPoInfo> testSoPo() {

        return Message.success(null);

    }

    @ApiOperation("测试cs信息")
    @GetMapping("/testCsInfo")
    public Message<ReportCsOrderInfo> testCsInfo() {


        return Message.success(null);
    }


    @ApiOperation("测试DO单的信息同步")
    @GetMapping("/testDoInfo")
    public Message<ReportDoInfo> testDoInfo() {


        return Message.success(null);
    }

}
