package com.jarvis.dataCenter.runner;

import com.jarvis.dataCenter.service.report.ReportCsOrderInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * @author jinzhaopo
 * @date 2019-10-31 10:23
 */
@Component
@Order(value = 4)
@Slf4j
public class CsRunner implements ApplicationRunner {


    @Autowired
    private ReportCsOrderInfoService reportCsOrderInfoService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("开始拉取 cs 的信息··························");

        new Thread(new Runnable() {
            @Override
            public void run() {
                reportCsOrderInfoService.sync();
            }
        }).start();
    }
}
