package com.jarvis.dataCenter.runner;

import com.jarvis.dataCenter.service.report.ReportSkuInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * 拉取sku的信息
 *
 * @author jinzhaopo
 * @date 2019-10-31 10:19
 */
@Component
@Order(value = 2)
@Slf4j
public class SkuRunner implements ApplicationRunner {

    @Autowired
    private ReportSkuInfoService reportSkuInfoService;


    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("sku 信息开始拉取·······························");
        new Thread(new Runnable() {
            @Override
            public void run() {
//                reportSkuInfoService.sync();
            }
        }).start();


    }
}
