package com.jarvis.dataCenter.bean;

import com.jarvis.dataCenter.entity.prod.*;
import com.jarvis.dataCenter.entity.report.ReportCsOrderInfo;
import com.jarvis.dataCenter.entity.report.ReportDoInfo;
import com.jarvis.dataCenter.entity.report.ReportSkuInfo;
import com.jarvis.dataCenter.entity.report.ReportSoPoInfo;
import com.jarvis.dataCenter.entity.warehouse.DeliveryLicenceEntity;
import com.jarvis.dataCenter.entity.warehouse.DeliveryOrderDetailEntity;
import com.jarvis.dataCenter.entity.warehouse.DeliveryOrderEntity;
import com.jarvis.dataCenter.entity.warehouse.WarehouseEntity;

/**
 * @author jinzhaopo
 * @date 2019-10-29 10:49
 */
public class BeanUtils {


    public static ReportSkuInfo build(ReportSkuInfo reportSkuInfo, PoSupliersmasterEntity poSupliersmasterEntity) {
        if (poSupliersmasterEntity != null) {
            reportSkuInfo.setPoSupliersmasterId(poSupliersmasterEntity.getId());
            reportSkuInfo.setPoSupliersmasterSupliersName(poSupliersmasterEntity.getSupliersName());
            reportSkuInfo.setPoSupliersmasterSupliersType(poSupliersmasterEntity.getSupliersType());
            reportSkuInfo.setPoSupliersmasterParentsupliersId(poSupliersmasterEntity.getParentsupliersId());
            reportSkuInfo.setPoSupliersmasterSupliersCode(poSupliersmasterEntity.getSupliersCode());
            reportSkuInfo.setPoSupliersmasterInsideCode(poSupliersmasterEntity.getInsideCode());
            reportSkuInfo.setPoSupliersmasterLevel(poSupliersmasterEntity.getLevel());
            reportSkuInfo.setPoSupliersmasterUseWhsService(poSupliersmasterEntity.getUseWhsService());
            reportSkuInfo.setPoSupliersmasterLegalPerson(poSupliersmasterEntity.getLegalPerson());
            reportSkuInfo.setPoSupliersmasterIdCard(poSupliersmasterEntity.getIdCard());
            reportSkuInfo.setPoSupliersmasterCountryId(poSupliersmasterEntity.getCountryId());
            reportSkuInfo.setPoSupliersmasterCountryName(poSupliersmasterEntity.getCountryName());
            reportSkuInfo.setPoSupliersmasterProvinceId(poSupliersmasterEntity.getProvinceId());
            reportSkuInfo.setPoSupliersmasterProvinceName(poSupliersmasterEntity.getProvinceName());
            reportSkuInfo.setPoSupliersmasterCityId(poSupliersmasterEntity.getCityId());
            reportSkuInfo.setPoSupliersmasterCityName(poSupliersmasterEntity.getCityName());
            reportSkuInfo.setPoSupliersmasterCountyId(poSupliersmasterEntity.getCountyId());
            reportSkuInfo.setPoSupliersmasterCountyName(poSupliersmasterEntity.getCountyName());
            reportSkuInfo.setPoSupliersmasterAddress(poSupliersmasterEntity.getAddress());
            reportSkuInfo.setPoSupliersmasterPostCode(poSupliersmasterEntity.getPostCode());
            reportSkuInfo.setPoSupliersmasterLongitude(poSupliersmasterEntity.getLongitude());
            reportSkuInfo.setPoSupliersmasterLatitude(poSupliersmasterEntity.getLatitude());
            reportSkuInfo.setPoSupliersmasterLonLatFlg(poSupliersmasterEntity.getLonLatFlg());
            reportSkuInfo.setPoSupliersmasterContacts(poSupliersmasterEntity.getContacts());
            reportSkuInfo.setPoSupliersmasterMobile(poSupliersmasterEntity.getMobile());
            reportSkuInfo.setPoSupliersmasterAreaCode(poSupliersmasterEntity.getAreaCode());
            reportSkuInfo.setPoSupliersmasterTelPhone(poSupliersmasterEntity.getTelPhone());
            reportSkuInfo.setPoSupliersmasterMail(poSupliersmasterEntity.getMail());
            reportSkuInfo.setPoSupliersmasterFaxCode(poSupliersmasterEntity.getFaxCode());
            reportSkuInfo.setPoSupliersmasterFaxPhone(poSupliersmasterEntity.getFaxPhone());
            reportSkuInfo.setPoSupliersmasterTaxRCCode(poSupliersmasterEntity.getTaxRCCode());
            reportSkuInfo.setPoSupliersmasterCreditCode(poSupliersmasterEntity.getCreditCode());
            reportSkuInfo.setPoSupliersmasterEstDate(poSupliersmasterEntity.getEstDate());
            reportSkuInfo.setPoSupliersmasterBusinessLicCode(poSupliersmasterEntity.getBusinessLicCode());
            reportSkuInfo.setPoSupliersmasterBusinessScope(poSupliersmasterEntity.getBusinessScope());
            reportSkuInfo.setPoSupliersmasterRegistDate(poSupliersmasterEntity.getRegistDate());
            reportSkuInfo.setPoSupliersmasterRegistdateEnd(poSupliersmasterEntity.getRegistdateEnd());
            reportSkuInfo.setPoSupliersmasterMedicalcode(poSupliersmasterEntity.getMedicalcode());
            reportSkuInfo.setPoSupliersmasterMedicalscope(poSupliersmasterEntity.getMedicalscope());
            reportSkuInfo.setPoSupliersmasterMedicalscopedateBegin(poSupliersmasterEntity.getMedicalscopedateBegin());
            reportSkuInfo.setPoSupliersmasterMedicalscopedateEnd(poSupliersmasterEntity.getMedicalscopedateEnd());
            reportSkuInfo.setPoSupliersmasterAddServices(poSupliersmasterEntity.getAddServices());
            reportSkuInfo.setPoSupliersmasterServicearea(poSupliersmasterEntity.getServicearea());
            reportSkuInfo.setPoSupliersmasterPhotoMain(poSupliersmasterEntity.getPhotoMain());
            reportSkuInfo.setPoSupliersmasterPhotoInfo1(poSupliersmasterEntity.getPhotoInfo1());
            reportSkuInfo.setPoSupliersmasterPhotoInfo2(poSupliersmasterEntity.getPhotoInfo2());
            reportSkuInfo.setPoSupliersmasterPhotoInfo3(poSupliersmasterEntity.getPhotoInfo3());
            reportSkuInfo.setPoSupliersmasterPhotoInfo4(poSupliersmasterEntity.getPhotoInfo4());
            reportSkuInfo.setPoSupliersmasterReservei(poSupliersmasterEntity.getReservei());
            reportSkuInfo.setPoSupliersmasterReserveii(poSupliersmasterEntity.getReserveii());
            reportSkuInfo.setPoSupliersmasterRowNum(poSupliersmasterEntity.getRowNum());
            reportSkuInfo.setPoSupliersmasterUseFlg(poSupliersmasterEntity.getUseFlg());
            reportSkuInfo.setPoSupliersmasterMemo(poSupliersmasterEntity.getMemo());
            reportSkuInfo.setPoSupliersmasterCreator(poSupliersmasterEntity.getCreator());
            reportSkuInfo.setPoSupliersmasterEditor(poSupliersmasterEntity.getEditor());
            reportSkuInfo.setPoSupliersmasterCreatedTime(poSupliersmasterEntity.getCreatedTime());
            reportSkuInfo.setPoSupliersmasterUpdatedTime(poSupliersmasterEntity.getUpdatedTime());
            reportSkuInfo.setPoSupliersmasterPriceOpt(poSupliersmasterEntity.getPriceOpt());
            reportSkuInfo.setPoSupliersmasterIsjws(poSupliersmasterEntity.getIsjws());
            reportSkuInfo.setPoSupliersmasterCompanyName(poSupliersmasterEntity.getCompanyName());
            reportSkuInfo.setPoSupliersmasterBank(poSupliersmasterEntity.getBank());
            reportSkuInfo.setPoSupliersmasterAccNum(poSupliersmasterEntity.getAccNum());
            reportSkuInfo.setPoSupliersmasterSuplierSignType(poSupliersmasterEntity.getSuplierSignType());
            reportSkuInfo.setPoSupliersmasterSupplierSource(poSupliersmasterEntity.getSupplierSource());


        }
        return reportSkuInfo;

    }


    public static ReportSkuInfo build(ReportSkuInfo reportSkuInfo, BusProductcategoryEntity busProductcategoryEntity, int level) {
        if (busProductcategoryEntity != null) {
            if (level == 1) {
                reportSkuInfo.setBusProductcategory1Id(busProductcategoryEntity.getId());
                reportSkuInfo.setBusProductcategory1ParentId(busProductcategoryEntity.getParentId());
                reportSkuInfo.setBusProductcategory1CateLevel(busProductcategoryEntity.getCateLevel());
                reportSkuInfo.setBusProductcategory1CategoryNameCn(busProductcategoryEntity.getCategoryNameCn());
                reportSkuInfo.setBusProductcategory1CategoryNameEn(busProductcategoryEntity.getCategoryNameEn());
                reportSkuInfo.setBusProductcategory1CategoryCode(busProductcategoryEntity.getCategoryCode());
                reportSkuInfo.setBusProductcategory1CategoryImg(busProductcategoryEntity.getCategoryImg());
                reportSkuInfo.setBusProductcategory1Memo(busProductcategoryEntity.getMemo());
                reportSkuInfo.setBusProductcategory1RowNum(busProductcategoryEntity.getRowNum());
                reportSkuInfo.setBusProductcategory1RowNumii(busProductcategoryEntity.getRowNumii());
                reportSkuInfo.setBusProductcategory1UseFlg(busProductcategoryEntity.getUseFlg());
                reportSkuInfo.setBusProductcategory1IsKey(busProductcategoryEntity.getIsKey());
                reportSkuInfo.setBusProductcategory1Creator(busProductcategoryEntity.getCreator());
                reportSkuInfo.setBusProductcategory1Editor(busProductcategoryEntity.getEditor());
                reportSkuInfo.setBusProductcategory1CreatedTime(busProductcategoryEntity.getCreatedTime());
                reportSkuInfo.setBusProductcategory1UpdatedTime(busProductcategoryEntity.getUpdatedTime());

            } else if (level == 2) {
                reportSkuInfo.setBusProductcategory2Id(busProductcategoryEntity.getId());
                reportSkuInfo.setBusProductcategory2ParentId(busProductcategoryEntity.getParentId());
                reportSkuInfo.setBusProductcategory2CateLevel(busProductcategoryEntity.getCateLevel());
                reportSkuInfo.setBusProductcategory2CategoryNameCn(busProductcategoryEntity.getCategoryNameCn());
                reportSkuInfo.setBusProductcategory2CategoryNameEn(busProductcategoryEntity.getCategoryNameEn());
                reportSkuInfo.setBusProductcategory2CategoryCode(busProductcategoryEntity.getCategoryCode());
                reportSkuInfo.setBusProductcategory2CategoryImg(busProductcategoryEntity.getCategoryImg());
                reportSkuInfo.setBusProductcategory2Memo(busProductcategoryEntity.getMemo());
                reportSkuInfo.setBusProductcategory2RowNum(busProductcategoryEntity.getRowNum());
                reportSkuInfo.setBusProductcategory2RowNumii(busProductcategoryEntity.getRowNumii());
                reportSkuInfo.setBusProductcategory2UseFlg(busProductcategoryEntity.getUseFlg());
                reportSkuInfo.setBusProductcategory2IsKey(busProductcategoryEntity.getIsKey());
                reportSkuInfo.setBusProductcategory2Creator(busProductcategoryEntity.getCreator());
                reportSkuInfo.setBusProductcategory2Editor(busProductcategoryEntity.getEditor());
                reportSkuInfo.setBusProductcategory2CreatedTime(busProductcategoryEntity.getCreatedTime());
                reportSkuInfo.setBusProductcategory2UpdatedTime(busProductcategoryEntity.getUpdatedTime());

            } else if (level == 3) {
                reportSkuInfo.setBusProductcategory3Id(busProductcategoryEntity.getId());
                reportSkuInfo.setBusProductcategory3ParentId(busProductcategoryEntity.getParentId());
                reportSkuInfo.setBusProductcategory3CateLevel(busProductcategoryEntity.getCateLevel());
                reportSkuInfo.setBusProductcategory3CategoryNameCn(busProductcategoryEntity.getCategoryNameCn());
                reportSkuInfo.setBusProductcategory3CategoryNameEn(busProductcategoryEntity.getCategoryNameEn());
                reportSkuInfo.setBusProductcategory3CategoryCode(busProductcategoryEntity.getCategoryCode());
                reportSkuInfo.setBusProductcategory3CategoryImg(busProductcategoryEntity.getCategoryImg());
                reportSkuInfo.setBusProductcategory3Memo(busProductcategoryEntity.getMemo());
                reportSkuInfo.setBusProductcategory3RowNum(busProductcategoryEntity.getRowNum());
                reportSkuInfo.setBusProductcategory3RowNumii(busProductcategoryEntity.getRowNumii());
                reportSkuInfo.setBusProductcategory3UseFlg(busProductcategoryEntity.getUseFlg());
                reportSkuInfo.setBusProductcategory3IsKey(busProductcategoryEntity.getIsKey());
                reportSkuInfo.setBusProductcategory3Creator(busProductcategoryEntity.getCreator());
                reportSkuInfo.setBusProductcategory3Editor(busProductcategoryEntity.getEditor());
                reportSkuInfo.setBusProductcategory3CreatedTime(busProductcategoryEntity.getCreatedTime());
                reportSkuInfo.setBusProductcategory3UpdatedTime(busProductcategoryEntity.getUpdatedTime());


            }
        }
        return reportSkuInfo;

    }

    public static ReportSkuInfo build(ReportSkuInfo reportSkuInfo, BusProductbrandEntity busProductbrandEntity) {
        if (busProductbrandEntity != null) {
            reportSkuInfo.setBusProductbrandId(busProductbrandEntity.getId());
            reportSkuInfo.setBusProductbrandBrandNameCn(busProductbrandEntity.getBrandNameCn());
            reportSkuInfo.setBusProductbrandBrandNameEn(busProductbrandEntity.getBrandNameEn());
            reportSkuInfo.setBusProductbrandBrandCode(busProductbrandEntity.getBrandCode());
            reportSkuInfo.setBusProductbrandBrandImg1(busProductbrandEntity.getBrandImg1());
            reportSkuInfo.setBusProductbrandBrandImg2(busProductbrandEntity.getBrandImg2());
            reportSkuInfo.setBusProductbrandBrandImg3(busProductbrandEntity.getBrandImg3());
            reportSkuInfo.setBusProductbrandBrandDesc(busProductbrandEntity.getBrandDesc());
            reportSkuInfo.setBusProductbrandReservei(busProductbrandEntity.getReservei());
            reportSkuInfo.setBusProductbrandReserveii(busProductbrandEntity.getReserveii());
            reportSkuInfo.setBusProductbrandRowNum(busProductbrandEntity.getRowNum());
            reportSkuInfo.setBusProductbrandRowNumii(busProductbrandEntity.getRowNumii());
            reportSkuInfo.setBusProductbrandUseFlg(busProductbrandEntity.getUseFlg());
            reportSkuInfo.setBusProductbrandMemo(busProductbrandEntity.getMemo());
            reportSkuInfo.setBusProductbrandCreator(busProductbrandEntity.getCreator());
            reportSkuInfo.setBusProductbrandEditor(busProductbrandEntity.getEditor());
            reportSkuInfo.setBusProductbrandCreatedTime(busProductbrandEntity.getCreatedTime());
            reportSkuInfo.setBusProductbrandUpdatedTime(busProductbrandEntity.getUpdatedTime());
            reportSkuInfo.setBusProductbrandShopShow(busProductbrandEntity.getShopShow());

        }
        return reportSkuInfo;

    }

    public static ReportSkuInfo build(ReportSkuInfo reportSkuInfo, BusMerchandisemasterEntity busMerchandisemasterEntity) {
        if (busMerchandisemasterEntity != null) {
            reportSkuInfo.setBusMerchandisemasterId(busMerchandisemasterEntity.getId());
            reportSkuInfo.setBusMerchandisemasterSkuCode(busMerchandisemasterEntity.getSkuCode());
            reportSkuInfo.setBusMerchandisemasterProductId(busMerchandisemasterEntity.getProductId());
            reportSkuInfo.setBusMerchandisemasterProductSpecId(busMerchandisemasterEntity.getProductSpecId());
            reportSkuInfo.setBusMerchandisemasterProductNameCn(busMerchandisemasterEntity.getProductNameCn());
            reportSkuInfo.setBusMerchandisemasterInsideCode(busMerchandisemasterEntity.getInsideCode());
            reportSkuInfo.setBusMerchandisemasterSupinsideCode(busMerchandisemasterEntity.getSupinsideCode());
            reportSkuInfo.setBusMerchandisemasterPdSeriescn(busMerchandisemasterEntity.getPdSeriescn());
            reportSkuInfo.setBusMerchandisemasterPdSeriesen(busMerchandisemasterEntity.getPdSeriesen());
            reportSkuInfo.setBusMerchandisemasterSupliersId(busMerchandisemasterEntity.getSupliersId());
            reportSkuInfo.setBusMerchandisemasterSupliersProductNameCn(busMerchandisemasterEntity.getProductNameCn());
            reportSkuInfo.setBusMerchandisemasterSupliersProductSpecName(busMerchandisemasterEntity.getSupliersProductSpecName());
            reportSkuInfo.setBusMerchandisemasterSupliersSpecNameExt(busMerchandisemasterEntity.getSupliersSpecNameExt());
            reportSkuInfo.setBusMerchandisemasterSelfSell(busMerchandisemasterEntity.getSelfSell());
            reportSkuInfo.setBusMerchandisemasterSupliersShortName(busMerchandisemasterEntity.getSupliersShortName());
            reportSkuInfo.setBusMerchandisemasterBrandId(busMerchandisemasterEntity.getBrandId());
            reportSkuInfo.setBusMerchandisemasterBrandNameCn(busMerchandisemasterEntity.getBrandNameCn());
            reportSkuInfo.setBusMerchandisemasterCategoryId(busMerchandisemasterEntity.getCategoryId());
            reportSkuInfo.setBusMerchandisemasterCategoryNameCn(busMerchandisemasterEntity.getCategoryNameCn());
            reportSkuInfo.setBusMerchandisemasterShowCategoryId(busMerchandisemasterEntity.getShowCategoryId());
            reportSkuInfo.setBusMerchandisemasterShowCategoryNameCn(busMerchandisemasterEntity.getShowCategoryNameCn());
            reportSkuInfo.setBusMerchandisemasterExtidGpSpec(busMerchandisemasterEntity.getExtidGpSpec());
            reportSkuInfo.setBusMerchandisemasterExtgpnameGpSpec(busMerchandisemasterEntity.getExtgpnameGpSpec());
            reportSkuInfo.setBusMerchandisemasterExtidGpSpecext(busMerchandisemasterEntity.getExtidGpSpecext());
            reportSkuInfo.setBusMerchandisemasterExtgpnameGpSpecext(busMerchandisemasterEntity.getExtgpnameGpSpecext());
            reportSkuInfo.setBusMerchandisemasterExtidGpPkunit(busMerchandisemasterEntity.getExtidGpPkunit());
            reportSkuInfo.setBusMerchandisemasterExtgpnameGpPkunit(busMerchandisemasterEntity.getExtgpnameGpPkunit());
            reportSkuInfo.setBusMerchandisemasterExtidGpSalesunit(busMerchandisemasterEntity.getExtidGpSalesunit());
            reportSkuInfo.setBusMerchandisemasterExtgpnameGpSalesunit(busMerchandisemasterEntity.getExtgpnameGpSalesunit());
            reportSkuInfo.setBusMerchandisemasterStockUnit(busMerchandisemasterEntity.getStockUnit());
            reportSkuInfo.setBusMerchandisemasterStockUseUnit(busMerchandisemasterEntity.getStockUseUnit());
            reportSkuInfo.setBusMerchandisemasterPurchaseUnit(busMerchandisemasterEntity.getPurchaseUnit());
            reportSkuInfo.setBusMerchandisemasterPurchasePrice(busMerchandisemasterEntity.getPurchasePrice());
            reportSkuInfo.setBusMerchandisemasterPurchaseUseUnit(busMerchandisemasterEntity.getPurchaseUseUnit());
            reportSkuInfo.setBusMerchandisemasterProvenanceTyp(busMerchandisemasterEntity.getProvenanceTyp());
            reportSkuInfo.setBusMerchandisemasterTaxRate(busMerchandisemasterEntity.getTaxRate());
            reportSkuInfo.setBusMerchandisemasterSalePrice(busMerchandisemasterEntity.getSalePrice());
            reportSkuInfo.setBusMerchandisemasterMarketPrice(busMerchandisemasterEntity.getMarketPrice());
            reportSkuInfo.setBusMerchandisemasterStkAscription(busMerchandisemasterEntity.getStkAscription());
            reportSkuInfo.setBusMerchandisemasterWhsRel(busMerchandisemasterEntity.getWhsRel());
            reportSkuInfo.setBusMerchandisemasterSupplyAttribute(busMerchandisemasterEntity.getSupplyAttribute());
            reportSkuInfo.setBusMerchandisemasterSupplyAttrDays(busMerchandisemasterEntity.getSupplyAttrDays());
            reportSkuInfo.setBusMerchandisemasterStatusFlg(busMerchandisemasterEntity.getStatusFlg());
            reportSkuInfo.setBusMerchandisemasterStkStatus(busMerchandisemasterEntity.getStkStatus());
            reportSkuInfo.setBusMerchandisemasterNetWeight(busMerchandisemasterEntity.getNetWeight());
            reportSkuInfo.setBusMerchandisemasterGrossWeight(busMerchandisemasterEntity.getGrossWeight());
            reportSkuInfo.setBusMerchandisemasterProvenanceCn(busMerchandisemasterEntity.getProvenanceCn());
            reportSkuInfo.setBusMerchandisemasterProvenanceEn(busMerchandisemasterEntity.getProvenanceEn());
            reportSkuInfo.setBusMerchandisemasterAppStatus(busMerchandisemasterEntity.getAppStatus());
            reportSkuInfo.setBusMerchandisemasterReservei(busMerchandisemasterEntity.getReservei());
            reportSkuInfo.setBusMerchandisemasterReserveii(busMerchandisemasterEntity.getReserveii());
            reportSkuInfo.setBusMerchandisemasterShopShow(busMerchandisemasterEntity.getShopShow());
            reportSkuInfo.setBusMerchandisemasterUseFlg(busMerchandisemasterEntity.getUseFlg());
            reportSkuInfo.setBusMerchandisemasterMemo(busMerchandisemasterEntity.getMemo());
            reportSkuInfo.setBusMerchandisemasterCreator(busMerchandisemasterEntity.getCreator());
            reportSkuInfo.setBusMerchandisemasterEditor(busMerchandisemasterEntity.getEditor());
            reportSkuInfo.setBusMerchandisemasterCreatedTime(busMerchandisemasterEntity.getCreatedTime());
            reportSkuInfo.setBusMerchandisemasterUpdatedTime(busMerchandisemasterEntity.getUpdatedTime());


        }

        return reportSkuInfo;
    }


    public static void build(ReportSoPoInfo reportSoPoInfo, PoOrdermasterEntity poOrdermasterEntity) {
        if (poOrdermasterEntity != null) {
            reportSoPoInfo.setPoOrdermasterId(poOrdermasterEntity.getId());
            reportSoPoInfo.setPoOrdermasterOrderMasterCode(poOrdermasterEntity.getOrderMasterCode());
            reportSoPoInfo.setPoOrdermasterOrderMasterName(poOrdermasterEntity.getOrderMasterName());
            reportSoPoInfo.setPoOrdermasterAgencyId(poOrdermasterEntity.getAgencyId());
            reportSoPoInfo.setPoOrdermasterOrderStatus(poOrdermasterEntity.getOrderStatus());
            reportSoPoInfo.setPoOrdermasterReviewTime(poOrdermasterEntity.getReviewTime());
            reportSoPoInfo.setPoOrdermasterReviewer(poOrdermasterEntity.getReviewer());
            reportSoPoInfo.setPoOrdermasterRejection(poOrdermasterEntity.getRejection());
            reportSoPoInfo.setPoOrdermasterTotalAmount(poOrdermasterEntity.getTotalAmount());
            reportSoPoInfo.setPoOrdermasterSkuKindCnt(poOrdermasterEntity.getSkuKindCnt());
            reportSoPoInfo.setPoOrdermasterSkuCnt(poOrdermasterEntity.getSkuCnt());
            reportSoPoInfo.setPoOrdermasterMemo(poOrdermasterEntity.getMemo());
            reportSoPoInfo.setPoOrdermasterIsUrgent(poOrdermasterEntity.getIsUrgent());
            reportSoPoInfo.setPoOrdermasterAgencyAddressId(poOrdermasterEntity.getAgencyAddressId());
            reportSoPoInfo.setPoOrdermasterCountryId(poOrdermasterEntity.getCountryId());
            reportSoPoInfo.setPoOrdermasterCountryName(poOrdermasterEntity.getCountryName());
            reportSoPoInfo.setPoOrdermasterProvinceId(poOrdermasterEntity.getProvinceId());
            reportSoPoInfo.setPoOrdermasterProvinceName(poOrdermasterEntity.getProvinceName());
            reportSoPoInfo.setPoOrdermasterCityId(poOrdermasterEntity.getCityId());
            reportSoPoInfo.setPoOrdermasterCityName(poOrdermasterEntity.getCityName());
            reportSoPoInfo.setPoOrdermasterCountyId(poOrdermasterEntity.getCountyId());
            reportSoPoInfo.setPoOrdermasterCountyName(poOrdermasterEntity.getCountyName());
            reportSoPoInfo.setPoOrdermasterAddress(poOrdermasterEntity.getAddress());
            reportSoPoInfo.setPoOrdermasterDeliverName(poOrdermasterEntity.getDeliverName());
            reportSoPoInfo.setPoOrdermasterDeliverMobile(poOrdermasterEntity.getDeliverMobile());
            reportSoPoInfo.setPoOrdermasterDeliverPhone(poOrdermasterEntity.getDeliverPhone());
            reportSoPoInfo.setPoOrdermasterPostCode(poOrdermasterEntity.getPostCode());
            reportSoPoInfo.setPoOrdermasterLongitude(poOrdermasterEntity.getLongitude());
            reportSoPoInfo.setPoOrdermasterLatitude(poOrdermasterEntity.getLatitude());
            reportSoPoInfo.setPoOrdermasterSourceTyp(poOrdermasterEntity.getSourceTyp());
            reportSoPoInfo.setPoOrdermasterCommitor(poOrdermasterEntity.getCommitor());
            reportSoPoInfo.setPoOrdermasterCommitTime(poOrdermasterEntity.getCommitTime());
            reportSoPoInfo.setPoOrdermasterCreator(poOrdermasterEntity.getCreator());
            reportSoPoInfo.setPoOrdermasterEditor(poOrdermasterEntity.getEditor());
            reportSoPoInfo.setPoOrdermasterCreatedTime(poOrdermasterEntity.getCreatedTime());
            reportSoPoInfo.setPoOrdermasterUpdatedTime(poOrdermasterEntity.getUpdatedTime());
            reportSoPoInfo.setPoOrdermasterReceipt(poOrdermasterEntity.getReceipt());
            reportSoPoInfo.setPoOrdermasterDelPromotion(poOrdermasterEntity.getDelPromotion());
            reportSoPoInfo.setPoOrdermasterRealAmount(poOrdermasterEntity.getRealAmount());
            reportSoPoInfo.setPoOrdermasterCreditAmout(poOrdermasterEntity.getCreditAmout());
            reportSoPoInfo.setPoOrdermasterReplenishmentType(poOrdermasterEntity.getReplenishmentType());
            reportSoPoInfo.setPoOrdermasterFreight(poOrdermasterEntity.getFreight());
            reportSoPoInfo.setPoOrdermasterIsRelation(poOrdermasterEntity.getIsRelation());
            reportSoPoInfo.setPoOrdermasterActivePrice(poOrdermasterEntity.getActivePrice());
            reportSoPoInfo.setPoOrdermasterBarterValue(poOrdermasterEntity.getBarterValue());
            reportSoPoInfo.setPoOrdermasterPromotionSnapshot(poOrdermasterEntity.getPromotionSnapshot());
            reportSoPoInfo.setPoOrdermasterActiveSnapshot(poOrdermasterEntity.getActiveSnapshot());
            reportSoPoInfo.setPoOrdermasterRemarkStatus(poOrdermasterEntity.getRemarkStatus());
        }


    }


    public static void build(ReportSoPoInfo reportSoPoInfo, PoCouponmasterEntity poCouponmasterEntity) {
        if (poCouponmasterEntity != null) {

            reportSoPoInfo.setPoCouponmasterId(poCouponmasterEntity.getId());
            reportSoPoInfo.setPoCouponmasterCouponName(poCouponmasterEntity.getCouponName());
            reportSoPoInfo.setPoCouponmasterCouponDisplayName(poCouponmasterEntity.getCouponDisplayName());
            reportSoPoInfo.setPoCouponmasterSatisfyCondition(poCouponmasterEntity.getSatisfyCondition());
            reportSoPoInfo.setPoCouponmasterDeduction(poCouponmasterEntity.getDeduction());
            reportSoPoInfo.setPoCouponmasterIsNew(poCouponmasterEntity.getIsNew());
            reportSoPoInfo.setPoCouponmasterSkucode(poCouponmasterEntity.getSkucode());
            reportSoPoInfo.setPoCouponmasterPubcode(poCouponmasterEntity.getPubcode());
            reportSoPoInfo.setPoCouponmasterCodetype(poCouponmasterEntity.getCodetype());
            reportSoPoInfo.setPoCouponmasterCreatedTime(poCouponmasterEntity.getCreatedTime());
            reportSoPoInfo.setPoCouponmasterUpdatedTime(poCouponmasterEntity.getUpdatedTime());
            reportSoPoInfo.setPoCouponmasterBannerPc(poCouponmasterEntity.getBannerPc());
            reportSoPoInfo.setPoCouponmasterBannerWap(poCouponmasterEntity.getBannerWap());
            reportSoPoInfo.setPoCouponmasterUrlPc(poCouponmasterEntity.getUrlPc());
            reportSoPoInfo.setPoCouponmasterUrlWap(poCouponmasterEntity.getUrlWap());
            reportSoPoInfo.setPoCouponmasterUrlhash(poCouponmasterEntity.getUrlhash());
            reportSoPoInfo.setPoCouponmasterTimeType(poCouponmasterEntity.getTimeType());
            reportSoPoInfo.setPoCouponmasterLocalTime(poCouponmasterEntity.getLocalTime());
            reportSoPoInfo.setPoCouponmasterUseFlg(poCouponmasterEntity.getUseFlg());
            reportSoPoInfo.setPoCouponmasterMemo(poCouponmasterEntity.getMemo());
            reportSoPoInfo.setPoCouponmasterCreator(poCouponmasterEntity.getCreator());
            reportSoPoInfo.setPoCouponmasterEditor(poCouponmasterEntity.getEditor());
            reportSoPoInfo.setPoCouponmasterEndTime(poCouponmasterEntity.getEndTime());
            reportSoPoInfo.setPoCouponmasterBeginTime(poCouponmasterEntity.getBeginTime());
        }

    }

    public static void build(ReportSoPoInfo reportSoPoInfo, PoCoupondetailEntity poCoupondetailEntity) {
        if (poCoupondetailEntity != null) {

            reportSoPoInfo.setPoCouponDetailId(poCoupondetailEntity.getId());
            reportSoPoInfo.setPoCouponDetailCounponid(poCoupondetailEntity.getCounponid());
            reportSoPoInfo.setPoCouponDetailGroupid(poCoupondetailEntity.getGroupid());
            reportSoPoInfo.setPoCouponDetailChildid(poCoupondetailEntity.getChildid());
            reportSoPoInfo.setPoCouponDetailOrderMasterCode(poCoupondetailEntity.getOrderMasterCode());
            reportSoPoInfo.setPoCouponDetailDeductionAct(poCoupondetailEntity.getDeductionAct());
            reportSoPoInfo.setPoCouponDetailCouponSource(poCoupondetailEntity.getCouponSource());
            reportSoPoInfo.setPoCouponDetailSourceNumber(poCoupondetailEntity.getSourceNumber());
            reportSoPoInfo.setPoCouponDetailStatus(poCoupondetailEntity.getStatus());
            reportSoPoInfo.setPoCouponDetailUseFlg(poCoupondetailEntity.getUseFlg());
            reportSoPoInfo.setPoCouponDetailMemo(poCoupondetailEntity.getMemo());
            reportSoPoInfo.setPoCouponDetailCreator(poCoupondetailEntity.getCreator());
            reportSoPoInfo.setPoCouponDetailEditor(poCoupondetailEntity.getEditor());
            reportSoPoInfo.setPoCouponDetailCreatedTime(poCoupondetailEntity.getCreatedTime());
            reportSoPoInfo.setPoCouponDetailUpdatedTime(poCoupondetailEntity.getUpdatedTime());
            reportSoPoInfo.setPoCouponDetailEndTime(poCoupondetailEntity.getEndTime());
            reportSoPoInfo.setPoCouponDetailBeginTime(poCoupondetailEntity.getBeginTime());
        }
    }

    public static void build(ReportSoPoInfo reportSoPoInfo, SoOrdermasterEntity soOrdermasterEntity) {
        if (soOrdermasterEntity != null) {

            reportSoPoInfo.setSoOrderMasterId(soOrdermasterEntity.getId());
            reportSoPoInfo.setSoOrderMasterOrderMasterCode(soOrdermasterEntity.getOrderMasterCode());
            reportSoPoInfo.setSoOrderMasterPoOrderMasterCode(soOrdermasterEntity.getPoOrderMasterCode());
            reportSoPoInfo.setSoOrderMasterSuplierId(soOrdermasterEntity.getSuplierId());
            reportSoPoInfo.setSoOrderMasterReceiveAgencyId(soOrdermasterEntity.getReceiveAgencyId());
            reportSoPoInfo.setSoOrderMasterAgencyId(soOrdermasterEntity.getAgencyId());
            reportSoPoInfo.setSoOrderMasterOrderStatus(soOrdermasterEntity.getOrderStatus());
            reportSoPoInfo.setSoOrderMasterProcessStatus(soOrdermasterEntity.getProcessStatus());
            reportSoPoInfo.setSoOrderMasterLockStatus(soOrdermasterEntity.getLockStatus());
            reportSoPoInfo.setSoOrderMasterPayStatus(soOrdermasterEntity.getPayStatus());
            reportSoPoInfo.setSoOrderMasterIssuanceStatus(soOrdermasterEntity.getIssuanceStatus());
            reportSoPoInfo.setSoOrderMasterReceiveStatus(soOrdermasterEntity.getReceiveStatus());
            reportSoPoInfo.setSoOrderMasterReceivablesInfo(soOrdermasterEntity.getReceivablesInfo());
            reportSoPoInfo.setSoOrderMasterReceivablesTime(soOrdermasterEntity.getReceivablesTime());
            reportSoPoInfo.setSoOrderMasterProcessTime(soOrdermasterEntity.getProcessTime());
            reportSoPoInfo.setSoOrderMasterProcesser(soOrdermasterEntity.getProcesser());
            reportSoPoInfo.setSoOrderMasterTotalAmount(soOrdermasterEntity.getTotalAmount());
            reportSoPoInfo.setSoOrderMasterSkuKindCnt(soOrdermasterEntity.getSkuKindCnt());
            reportSoPoInfo.setSoOrderMasterSkuCnt(soOrdermasterEntity.getSkuCnt());
            reportSoPoInfo.setSoOrderMasterMemo(soOrdermasterEntity.getMemo());
            reportSoPoInfo.setSoOrderMasterAgencyAddressId(soOrdermasterEntity.getAgencyAddressId());
            reportSoPoInfo.setSoOrderMasterCountryId(soOrdermasterEntity.getCountryId());
            reportSoPoInfo.setSoOrderMasterCountryName(soOrdermasterEntity.getCountryName());
            reportSoPoInfo.setSoOrderMasterProvinceId(soOrdermasterEntity.getProvinceId());
            reportSoPoInfo.setSoOrderMasterProvinceName(soOrdermasterEntity.getProvinceName());
            reportSoPoInfo.setSoOrderMasterCityId(soOrdermasterEntity.getCityId());
            reportSoPoInfo.setSoOrderMasterCityName(soOrdermasterEntity.getCityName());
            reportSoPoInfo.setSoOrderMasterCountyId(soOrdermasterEntity.getCountyId());
            reportSoPoInfo.setSoOrderMasterCountyName(soOrdermasterEntity.getCountyName());
            reportSoPoInfo.setSoOrderMasterAddress(soOrdermasterEntity.getAddress());
            reportSoPoInfo.setSoOrderMasterDeliverName(soOrdermasterEntity.getDeliverName());
            reportSoPoInfo.setSoOrderMasterDeliverMobile(soOrdermasterEntity.getDeliverMobile());
            reportSoPoInfo.setSoOrderMasterDeliverPhone(soOrdermasterEntity.getDeliverPhone());
            reportSoPoInfo.setSoOrderMasterPostCode(soOrdermasterEntity.getPostCode());
            reportSoPoInfo.setSoOrderMasterLongitude(soOrdermasterEntity.getLongitude());
            reportSoPoInfo.setSoOrderMasterLatitude(soOrdermasterEntity.getLatitude());
            reportSoPoInfo.setSoOrderMasterPayer(soOrdermasterEntity.getPayer());
            reportSoPoInfo.setSoOrderMasterPayTime(soOrdermasterEntity.getPayTime());
            reportSoPoInfo.setSoOrderMasterCreator(soOrdermasterEntity.getCreator());
            reportSoPoInfo.setSoOrderMasterEditor(soOrdermasterEntity.getEditor());
            reportSoPoInfo.setSoOrderMasterCreatedTime(soOrdermasterEntity.getCreatedTime());
            reportSoPoInfo.setSoOrderMasterUpdatedTime(soOrdermasterEntity.getUpdatedTime());
            reportSoPoInfo.setSoOrderMasterIsUrgent(soOrdermasterEntity.getIsUrgent());
            reportSoPoInfo.setSoOrderMasterPaystyle(soOrdermasterEntity.getPaystyle());
            reportSoPoInfo.setSoOrderMasterPayType(soOrdermasterEntity.getPayType());
            reportSoPoInfo.setSoOrderMasterSourceType(soOrdermasterEntity.getSourceType());
            reportSoPoInfo.setSoOrderMasterPromotionPrice(soOrdermasterEntity.getPromotionPrice());
            reportSoPoInfo.setSoOrderMasterErrorStatus(soOrdermasterEntity.getErrorStatus());
            reportSoPoInfo.setSoOrderMasterAppealStatus(soOrdermasterEntity.getAppealStatus());
            reportSoPoInfo.setSoOrderMasterSelfSupport(soOrdermasterEntity.getSelfSupport());
            reportSoPoInfo.setSoOrderMasterIsClose(soOrdermasterEntity.getIsClose());
            reportSoPoInfo.setSoOrderMasterRelationSoCode(soOrdermasterEntity.getRelationSoCode());
            reportSoPoInfo.setSoOrderMasterRelationCloseSo(soOrdermasterEntity.getRelationCloseSo());
            reportSoPoInfo.setSoOrderMasterCreateDo(soOrdermasterEntity.getCreateDo());
            reportSoPoInfo.setSoOrderMasterOrderType(soOrdermasterEntity.getOrderType());
            reportSoPoInfo.setSoOrderMasterHistoryClose(soOrdermasterEntity.getHistoryClose());
            reportSoPoInfo.setSoOrderMasterCreateFlag(soOrdermasterEntity.getCreateFlag());
            reportSoPoInfo.setSoOrderMasterHasPayLimit(soOrdermasterEntity.getHasPayLimit());
        }


    }


    public static void build(ReportSoPoInfo reportSoPoInfo, SoOrderdetailEntity soOrderdetailEntity) {
        if (soOrderdetailEntity != null) {

            if (soOrderdetailEntity.getId() != null) {
                reportSoPoInfo.setSoOrderDetailId(Long.valueOf(soOrderdetailEntity.getId()));
            }
            reportSoPoInfo.setSoOrderDetailOrderMasterCode(soOrderdetailEntity.getOrderMasterCode());
            reportSoPoInfo.setSoOrderDetailInvoiceCode(soOrderdetailEntity.getInvoiceCode());
            reportSoPoInfo.setSoOrderDetailSkuCode(soOrderdetailEntity.getSkuCode());
            reportSoPoInfo.setSoOrderDetailPrice(soOrderdetailEntity.getPrice());
            reportSoPoInfo.setSoOrderDetailOrderCnt(soOrderdetailEntity.getOrderCnt());
            reportSoPoInfo.setSoOrderDetailTempCnt(soOrderdetailEntity.getTempCnt());
            reportSoPoInfo.setSoOrderDetailDeliveryCnt(soOrderdetailEntity.getDeliveryCnt());
            reportSoPoInfo.setSoOrderDetailReceiveCnt(soOrderdetailEntity.getReceiveCnt());
            reportSoPoInfo.setSoOrderDetailOutageQuantity(soOrderdetailEntity.getOutageQuantity());
            reportSoPoInfo.setSoOrderDetailRejectedQuantity(soOrderdetailEntity.getRejectedQuantity());
            reportSoPoInfo.setSoOrderDetailPendingCnt(soOrderdetailEntity.getPendingCnt());
            reportSoPoInfo.setSoOrderDetailRedeliveryQuantity(soOrderdetailEntity.getRedeliveryQuantity());
            reportSoPoInfo.setSoOrderDetailCsStockoutCnt(soOrderdetailEntity.getCsStockoutCnt());
            reportSoPoInfo.setSoOrderDetailCsPendingCnt(soOrderdetailEntity.getCsPendingCnt());
            reportSoPoInfo.setSoOrderDetailCsDeliveryCnt(soOrderdetailEntity.getCsDeliveryCnt());
            reportSoPoInfo.setSoOrderDetailCsReceiveCnt(soOrderdetailEntity.getCsReceiveCnt());
            reportSoPoInfo.setSoOrderDetailMemo(soOrderdetailEntity.getMemo());
            reportSoPoInfo.setSoOrderDetailIsClose(soOrderdetailEntity.getIsClose());
            reportSoPoInfo.setSoOrderDetailCsOrderCode(soOrderdetailEntity.getCsOrderCode());
            reportSoPoInfo.setSoOrderDetailRelationSoCode(soOrderdetailEntity.getRelationSoCode());
            reportSoPoInfo.setSoOrderDetailCreator(soOrderdetailEntity.getCreator());
            reportSoPoInfo.setSoOrderDetailEditor(soOrderdetailEntity.getEditor());
            reportSoPoInfo.setSoOrderDetailCreatedTime(soOrderdetailEntity.getCreatedTime());
            reportSoPoInfo.setSoOrderDetailUpdatedTime(soOrderdetailEntity.getUpdatedTime());
            reportSoPoInfo.setSoOrderDetailProPrice(soOrderdetailEntity.getProPrice());
            reportSoPoInfo.setSoOrderDetailProType(soOrderdetailEntity.getProType());
            reportSoPoInfo.setSoOrderDetailRelationInvoiceCode(soOrderdetailEntity.getRelationInvoiceCode());
            reportSoPoInfo.setSoOrderDetailCustomerServiceRemark(soOrderdetailEntity.getCustomerServiceRemark());
            if (soOrderdetailEntity.getPromotionId() != null) {
                reportSoPoInfo.setSoOrderDetailPromotionId(Long.valueOf(soOrderdetailEntity.getPromotionId()));
            }
            reportSoPoInfo.setSoOrderDetailPromotionPrice(soOrderdetailEntity.getPromotionPrice());
            reportSoPoInfo.setSoOrderDetailPromotionRemark(soOrderdetailEntity.getPromotionRemark());
            reportSoPoInfo.setSoOrderDetailBarterValue(soOrderdetailEntity.getBarterValue());
            reportSoPoInfo.setSoOrderDetailRechargeCardPrice(soOrderdetailEntity.getRechargeCardPrice());
            reportSoPoInfo.setSoOrderDetailPromotionSnapshot(soOrderdetailEntity.getPromotionSnapshot());
            reportSoPoInfo.setSoOrderDetailRecoverMemo(soOrderdetailEntity.getRecoverMemo());
            reportSoPoInfo.setSoOrderDetailRecoverClose(soOrderdetailEntity.getRecoverClose());
            reportSoPoInfo.setSoOrderDetailReaptFlag(soOrderdetailEntity.getReaptFlag());
            reportSoPoInfo.setSoOrderDetailNewDetailFlag(soOrderdetailEntity.getNewDetailFlag());
        }

    }

    public static void build(ReportCsOrderInfo reportCsOrderInfo, CsOrderDetailEntity csOrderDetailEntity) {
        if(csOrderDetailEntity != null){
            reportCsOrderInfo.setCsOrderDetailid(csOrderDetailEntity.getCsDetailId());
            reportCsOrderInfo.setCsOrderDetailcsDetailId(csOrderDetailEntity.getCsDetailId());
            reportCsOrderInfo.setCsOrderDetailcsOrderCode(csOrderDetailEntity.getCsOrderCode());
            reportCsOrderInfo.setCsOrderDetailapplyCnt(csOrderDetailEntity.getApplyCnt());
            reportCsOrderInfo.setCsOrderDetailapplyType(csOrderDetailEntity.getApplyType());
            reportCsOrderInfo.setCsOrderDetailapplyReason(csOrderDetailEntity.getApplyReason());
            reportCsOrderInfo.setCsOrderDetailskuCode(csOrderDetailEntity.getSkuCode());
            reportCsOrderInfo.setCsOrderDetailproductNameCn(csOrderDetailEntity.getProductNameCn());
            reportCsOrderInfo.setCsOrderDetailspecName(csOrderDetailEntity.getSpecName());
            reportCsOrderInfo.setCsOrderDetailspecNameExt(csOrderDetailEntity.getSpecNameExt());
            reportCsOrderInfo.setCsOrderDetailbrandNameCn(csOrderDetailEntity.getBrandNameCn());
            reportCsOrderInfo.setCsOrderDetailbrandNameEn(csOrderDetailEntity.getBrandNameEn());
            reportCsOrderInfo.setCsOrderDetailsaleUnit(csOrderDetailEntity.getSaleUnit());
            reportCsOrderInfo.setCsOrderDetailwhsRel(csOrderDetailEntity.getWhsRel());
            reportCsOrderInfo.setCsOrderDetaildeliveryCnt(csOrderDetailEntity.getDeliveryCnt());
            reportCsOrderInfo.setCsOrderDetailimgsUrl(csOrderDetailEntity.getImgsUrl());
            reportCsOrderInfo.setCsOrderDetailremark(csOrderDetailEntity.getRemark());
            reportCsOrderInfo.setCsOrderDetaildescription(csOrderDetailEntity.getDescription());
            reportCsOrderInfo.setCsOrderDetailinternalRemark(csOrderDetailEntity.getInternalRemark());
            reportCsOrderInfo.setCsOrderDetailcreator(csOrderDetailEntity.getCreator());
            reportCsOrderInfo.setCsOrderDetaileditor(csOrderDetailEntity.getEditor());
            reportCsOrderInfo.setCsOrderDetailcreatedTime(csOrderDetailEntity.getCreatedTime());
            reportCsOrderInfo.setCsOrderDetailupdatedTime(csOrderDetailEntity.getUpdatedTime());

        }


    }

    public static void build(ReportCsOrderInfo reportCsOrderInfo, CsOrderEntity csOrderEntity) {
        if(csOrderEntity != null){
            reportCsOrderInfo.setCsOrdercsId(csOrderEntity.getCsId());
            reportCsOrderInfo.setCsOrderCode(csOrderEntity.getCsOrderCode());
            reportCsOrderInfo.setCsOrderpoOrderCode(csOrderEntity.getPoOrderCode());
            reportCsOrderInfo.setCsOrdersoOrderCode(csOrderEntity.getSoOrderCode());
            reportCsOrderInfo.setCsOrderdoOrderCode(csOrderEntity.getDoOrderCode());
            reportCsOrderInfo.setCsOrderdfOrderCode(csOrderEntity.getDfOrderCode());
            reportCsOrderInfo.setCsOrderbarterValue(csOrderEntity.getBarterValue());
            reportCsOrderInfo.setCsOrderrOrderCode(csOrderEntity.getROrderCode());
            reportCsOrderInfo.setCsOrderrmOrderCode(csOrderEntity.getRmOrderCode());
            reportCsOrderInfo.setCsOrderstockoutCode(csOrderEntity.getStockoutCode());
            reportCsOrderInfo.setCsOrdercsType(csOrderEntity.getCsType());
            reportCsOrderInfo.setCsOrderstatus(csOrderEntity.getStatus());
            reportCsOrderInfo.setCsOrderagencyId(csOrderEntity.getAgencyId());
            reportCsOrderInfo.setCsOrderagencyName(csOrderEntity.getAgencyName());
            reportCsOrderInfo.setCsOrderagencyShortName(csOrderEntity.getAgencyShortName());
            reportCsOrderInfo.setCsOrdersupplierId(csOrderEntity.getSupplierId());
            reportCsOrderInfo.setCsOrdersupplierName(csOrderEntity.getSupplierName());
            reportCsOrderInfo.setCsOrdersupplierShortName(csOrderEntity.getSupplierShortName());
            reportCsOrderInfo.setCsOrdercreator(csOrderEntity.getCreator());
            reportCsOrderInfo.setCsOrdereditor(csOrderEntity.getEditor());
            reportCsOrderInfo.setCsOrdercreatedTime(csOrderEntity.getCreatedTime());
            reportCsOrderInfo.setCsOrderupdatedTime(csOrderEntity.getUpdatedTime());

        }

    }

    public static void build(ReportDoInfo reportDoInfo, DeliveryOrderDetailEntity deliveryOrderDetailEntity) {
        if (deliveryOrderDetailEntity != null) {

            reportDoInfo.setDoDetailid(deliveryOrderDetailEntity.getId());
            reportDoInfo.setDoDetaildeliveryOrderId(deliveryOrderDetailEntity.getDeliveryOrderId());
            reportDoInfo.setDoDetailpoCode(deliveryOrderDetailEntity.getPoCode());
            reportDoInfo.setDoDetailsoCode(deliveryOrderDetailEntity.getSoCode());
            reportDoInfo.setDoDetaildoCode(deliveryOrderDetailEntity.getDoCode());
            reportDoInfo.setDoDetailskuCode(deliveryOrderDetailEntity.getSkuCode());
            reportDoInfo.setDoDetailsupplierId(deliveryOrderDetailEntity.getSupplierId());
            reportDoInfo.setDoDetailsupplierName(deliveryOrderDetailEntity.getSupplierName());
            reportDoInfo.setDoDetailsupplierShortName(deliveryOrderDetailEntity.getSupplierShortName());
            reportDoInfo.setDoDetailproductId(deliveryOrderDetailEntity.getProductId());
            reportDoInfo.setDoDetailproductName(deliveryOrderDetailEntity.getProductName());
            reportDoInfo.setDoDetailspecId(deliveryOrderDetailEntity.getSpecId());
            reportDoInfo.setDoDetailspecName(deliveryOrderDetailEntity.getSpecName());
            reportDoInfo.setDoDetailspecNameExt(deliveryOrderDetailEntity.getSpecNameExt());
            reportDoInfo.setDoDetailsalesUnit(deliveryOrderDetailEntity.getSalesUnit());
            reportDoInfo.setDoDetailbrandId(deliveryOrderDetailEntity.getBrandId());
            reportDoInfo.setDoDetailbrandName(deliveryOrderDetailEntity.getBrandName());
            reportDoInfo.setDoDetailsupplierWarehouseId(deliveryOrderDetailEntity.getSupplierWarehouseId());
            reportDoInfo.setDoDetailsupplierWarehouseName(deliveryOrderDetailEntity.getSupplierWarehouseName());
            reportDoInfo.setDoDetailproducerProdCode(deliveryOrderDetailEntity.getProducerProdCode());
            reportDoInfo.setDoDetailcustomerProdCode(deliveryOrderDetailEntity.getCustomerProdCode());
            reportDoInfo.setDoDetailsupplierProdCode(deliveryOrderDetailEntity.getSupplierProdCode());
            reportDoInfo.setDoDetailexpectQuantity(deliveryOrderDetailEntity.getExpectQuantity());
            reportDoInfo.setDoDetailoutageQuantity(deliveryOrderDetailEntity.getOutageQuantity());
            reportDoInfo.setDoDetailactualQuantity(deliveryOrderDetailEntity.getActualQuantity());
            reportDoInfo.setDoDetailcustomerMemo(deliveryOrderDetailEntity.getCustomerMemo());
            reportDoInfo.setDoDetailcustomerServiceMemo(deliveryOrderDetailEntity.getCustomerServiceMemo());
            reportDoInfo.setDoDetailgroupBuyStatus(deliveryOrderDetailEntity.getGroupBuyStatus());
            reportDoInfo.setDoDetailcreatedTime(deliveryOrderDetailEntity.getCreatedTime());
            reportDoInfo.setDoDetailupdatedTime(deliveryOrderDetailEntity.getUpdatedTime());
            reportDoInfo.setDoDetailversion(deliveryOrderDetailEntity.getVersion());
        }


    }

    public static void build(ReportDoInfo reportDoInfo, DeliveryOrderEntity deliveryOrderEntity) {
        if (deliveryOrderEntity != null) {
            reportDoInfo.setDoid(deliveryOrderEntity.getId());
            reportDoInfo.setDocode(deliveryOrderEntity.getCode());
            reportDoInfo.setDotype(deliveryOrderEntity.getType());
            reportDoInfo.setDopoCode(deliveryOrderEntity.getPoCode());
            reportDoInfo.setDologisticsCompanyId(deliveryOrderEntity.getLogisticsCompanyId());
            reportDoInfo.setDologisticsCode(deliveryOrderEntity.getLogisticsCode());
            reportDoInfo.setDodeliveredDate(deliveryOrderEntity.getDeliveredDate());
            reportDoInfo.setDostatus(deliveryOrderEntity.getStatus());
            reportDoInfo.setDoremarkStatus(deliveryOrderEntity.getRemarkStatus());
            reportDoInfo.setDowarehouseId(deliveryOrderEntity.getWarehouseId());
            reportDoInfo.setDosupplierId(deliveryOrderEntity.getSupplierId());
            reportDoInfo.setDosupplierName(deliveryOrderEntity.getSupplierName());
            reportDoInfo.setDosupplierShortName(deliveryOrderEntity.getSupplierShortName());
            reportDoInfo.setDopurchaseGroupId(deliveryOrderEntity.getPurchaseGroupId());
            reportDoInfo.setDopurchaseGroupName(deliveryOrderEntity.getPurchaseGroupName());
            reportDoInfo.setDopurchaseGroupShortName(deliveryOrderEntity.getPurchaseGroupShortName());
            reportDoInfo.setDopurchaseAgencyId(deliveryOrderEntity.getPurchaseAgencyId());
            reportDoInfo.setDopurchaseAgencyName(deliveryOrderEntity.getPurchaseAgencyName());
            reportDoInfo.setDopurchaseAgencyShortName(deliveryOrderEntity.getPurchaseAgencyShortName());
            reportDoInfo.setDopurchaseUser(deliveryOrderEntity.getPurchaseUser());
            reportDoInfo.setDopurchaseUserMobile(deliveryOrderEntity.getPurchaseUserMobile());
            reportDoInfo.setDocabinetId(deliveryOrderEntity.getCabinetId());
            reportDoInfo.setDodeliveryAgencyId(deliveryOrderEntity.getDeliveryAgencyId());
            reportDoInfo.setDodeliveryAgencyName(deliveryOrderEntity.getDeliveryAgencyName());
            reportDoInfo.setDodeliveryAgencyShortName(deliveryOrderEntity.getDeliveryAgencyShortName());
            reportDoInfo.setDoaddressId(deliveryOrderEntity.getAddressId());
            reportDoInfo.setDopostcode(deliveryOrderEntity.getPostcode());
            reportDoInfo.setDocountryName(deliveryOrderEntity.getCountryName());
            reportDoInfo.setDoprovinceName(deliveryOrderEntity.getProvinceName());
            reportDoInfo.setDocityName(deliveryOrderEntity.getCityName());
            reportDoInfo.setDodistrictName(deliveryOrderEntity.getDistrictName());
            reportDoInfo.setDoaddress(deliveryOrderEntity.getAddress());
            reportDoInfo.setDocreatedUser(deliveryOrderEntity.getCreatedUser());
            reportDoInfo.setDoreceiverName(deliveryOrderEntity.getReceiverName());
            reportDoInfo.setDoreceiverMobile(deliveryOrderEntity.getReceiverMobile());
            reportDoInfo.setDoreceiverPhone(deliveryOrderEntity.getReceiverPhone());
            reportDoInfo.setDodeliveryUser(deliveryOrderEntity.getDeliveryUser());
            reportDoInfo.setDoreferDoCode(deliveryOrderEntity.getReferDoCode());
            reportDoInfo.setDomergeDoCode(deliveryOrderEntity.getMergeDoCode());
            reportDoInfo.setDonoticeStatus(deliveryOrderEntity.getNoticeStatus());
            reportDoInfo.setDomemo(deliveryOrderEntity.getMemo());
            reportDoInfo.setDocheckOutMemo(deliveryOrderEntity.getCheckOutMemo());
            reportDoInfo.setDocreatedTime(deliveryOrderEntity.getCreatedTime());
            reportDoInfo.setDoupdatedTime(deliveryOrderEntity.getUpdatedTime());
            reportDoInfo.setDoversion(deliveryOrderEntity.getVersion());

        }


    }

    public static void build(ReportDoInfo reportDoInfo, DeliveryLicenceEntity deliveryLicenceEntity) {
        if (deliveryLicenceEntity != null) {
            reportDoInfo.setLicenceId(deliveryLicenceEntity.getId());
            reportDoInfo.setLicencedoCode(deliveryLicenceEntity.getDoCode());
            reportDoInfo.setLicencesupplierId(deliveryLicenceEntity.getSupplierId());
            reportDoInfo.setLicenceagencyId(deliveryLicenceEntity.getAgencyId());
            reportDoInfo.setLicencegroupId(deliveryLicenceEntity.getGroupId());
            reportDoInfo.setLicencelicenceType(deliveryLicenceEntity.getLicenceType());
            reportDoInfo.setLicenceproductId(deliveryLicenceEntity.getProductId());
            reportDoInfo.setLicencecreatedTime(deliveryLicenceEntity.getCreatedTime());
            reportDoInfo.setLicenceupdatedTime(deliveryLicenceEntity.getUpdatedTime());
            reportDoInfo.setLicenceversion(deliveryLicenceEntity.getVersion());

        }

    }

    public static void build(ReportDoInfo reportDoInfo, WarehouseEntity warehouseEntity) {
        if (warehouseEntity != null) {
            reportDoInfo.setWarehouseId(warehouseEntity.getId());
            reportDoInfo.setWarehousename(warehouseEntity.getName());
            reportDoInfo.setWarehousecode(warehouseEntity.getCode());
            reportDoInfo.setWarehouselocked(warehouseEntity.getLocked());
            reportDoInfo.setWarehousecheckOutSort(warehouseEntity.getCheckOutSort());
            reportDoInfo.setWarehouseenabled(warehouseEntity.getEnabled());
            reportDoInfo.setWarehousecontact(warehouseEntity.getContact());
            reportDoInfo.setWarehouseuserName(warehouseEntity.getUserName());
            reportDoInfo.setWarehouseaddress(warehouseEntity.getAddress());
            reportDoInfo.setWarehousemobile(warehouseEntity.getMobile());
            reportDoInfo.setWarehousecreatedTime(warehouseEntity.getCreatedTime());
            reportDoInfo.setWarehouseupdatedTime(warehouseEntity.getUpdatedTime());
            reportDoInfo.setWarehouseversion(warehouseEntity.getVersion());

        }
    }


}
