package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author jinzhaopo
 * @date 2019-10-29 16:53
 */
@Data
@TableName("report_cs_order_info")
public class ReportCsOrderInfo extends AbstractEntity {


    //----------------cs_order_detail  csOrderDetail
    /**
     * 自增长
     */
    @TableId(type = IdType.AUTO)
    private Integer csOrderDetailid;

    /**
     * 售后详情ID
     */
    private Integer csOrderDetailcsDetailId;

    /**
     * 售后单号
     */
    private String csOrderDetailcsOrderCode;

    /**
     * 申请数量
     */
    private Integer csOrderDetailapplyCnt;

    /**
     * 申请类型：0请选择；1仅退货；2仅退款；3退货退款；4换货；5补发货；6取消
     */
    private Integer csOrderDetailapplyType;

    /**
     * 申请原因：0请选择；1质量问题；2收到商品少件；3发错货；4不想要/买错；5其它；6卖家缺货
     */
    private Integer csOrderDetailapplyReason;

    /**
     * SKU编号
     */
    private String csOrderDetailskuCode;

    /**
     * 产品中文名
     */
    private String csOrderDetailproductNameCn;

    /**
     * 规格名称
     */
    private String csOrderDetailspecName;

    /**
     * 子规格名称
     */
    private String csOrderDetailspecNameExt;

    /**
     * 中文品牌名称
     */
    private String csOrderDetailbrandNameCn;

    /**
     * 英文品牌名称
     */
    private String csOrderDetailbrandNameEn;

    /**
     * 销售单位
     */
    private String csOrderDetailsaleUnit;

    /**
     * 关联仓库：-1总仓发货
     */
    private String csOrderDetailwhsRel;

    /**
     * 发货数量
     */
    private Integer csOrderDetaildeliveryCnt;

    /**
     * 实拍图片
     */
    private String csOrderDetailimgsUrl;

    /**
     * 描述
     */
    private String csOrderDetaildescription;

    /**
     * 备注
     */
    private String csOrderDetailremark;

    /**
     * 客服内部备注
     */
    private String csOrderDetailinternalRemark;

    /**
     * 创建人
     */
    private String csOrderDetailcreator;

    /**
     * 修改人
     */
    private String csOrderDetaileditor;

    /**
     * 创建时间
     */
    private Date csOrderDetailcreatedTime;

    /**
     * 更新时间
     */
    private Date csOrderDetailupdatedTime;


    //_____________________cs_order csOrder

    /**
     * 售后ID
     */
    private Integer csOrdercsId;

    /**
     * 售后单号
     */
    private String csOrderCode;

    /**
     * 采购单号
     */
    private String csOrderpoOrderCode;

    /**
     * 销售单号
     */
    private String csOrdersoOrderCode;

    /**
     * 发货单号
     */
    private String csOrderdoOrderCode;

    /**
     * 草稿单号
     */
    private String csOrderdfOrderCode;

    /**
     * 换货商品价值
     */
    private BigDecimal csOrderbarterValue;

    /**
     * 退货单号
     */
    private String csOrderrOrderCode;

    /**
     * 退款单号
     */
    private String csOrderrmOrderCode;

    /**
     * 缺货编号
     */
    private String csOrderstockoutCode;

    /**
     * 售后单类型：0待收货；1关闭缺货记录；2待处理；3已完成
     */
    private Integer csOrdercsType;

    /**
     * 售后状态：0售后待审核；1售后处理中；2售后关闭；3售后完成
     */
    private Integer csOrderstatus;

    /**
     * 收货机构ID
     */
    private Integer csOrderagencyId;

    /**
     * 收货机构名称
     */
    private String csOrderagencyName;

    /**
     * 收货机构简称
     */
    private String csOrderagencyShortName;

    /**
     * 供应商ID
     */
    private Integer csOrdersupplierId;

    /**
     * 供应商名称
     */
    private String csOrdersupplierName;

    /**
     * 供应商简称
     */
    private String csOrdersupplierShortName;

    /**
     * 创建人
     */
    private String csOrdercreator;

    /**
     * 修改人
     */
    private String csOrdereditor;

    /**
     * 创建时间
     */
    private Date csOrdercreatedTime;

    /**
     * 更新时间
     */
    private Date csOrderupdatedTime;

}
