package com.jarvis.dataCenter.entity.warehouse;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 *  ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-30
 */
@Data
@TableName("delivery_licence")
public class DeliveryLicenceEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Long id;
    
    /**
     * 发货单号
     */
    @TableField(DO_CODE)
    private String doCode;
    
    /**
     * 供应商id
     */
    @TableField(SUPPLIER_ID)
    private Long supplierId;
    
    /**
     * 机构id
     */
    @TableField(AGENCY_ID)
    private Long agencyId;
    
    /**
     * 集团id
     */
    @TableField(GROUP_ID)
    private Long groupId;
    
    /**
     * 证照类型
     */
    @TableField(LICENCE_TYPE)
    private String licenceType;
    
    /**
     * 产品id
     */
    @TableField(PRODUCT_ID)
    private Long productId;
    
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    @TableField(UPDATED_TIME)
    private Date updatedTime;
    
    @TableField(VERSION)
    private Integer version;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 发货单号
     */
    public static final String DO_CODE = "do_code";

    /**
     * 供应商id
     */
    public static final String SUPPLIER_ID = "supplier_id";

    /**
     * 机构id
     */
    public static final String AGENCY_ID = "agency_id";

    /**
     * 集团id
     */
    public static final String GROUP_ID = "group_id";

    /**
     * 证照类型
     */
    public static final String LICENCE_TYPE = "licence_type";

    /**
     * 产品id
     */
    public static final String PRODUCT_ID = "product_id";

    /**
     * 
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 
     */
    public static final String UPDATED_TIME = "updated_time";

    /**
     * 
     */
    public static final String VERSION = "version";


}
