package com.jarvis.dataCenter.mapper.prod;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.jarvis.dataCenter.constants.DbConstants;
import com.jarvis.dataCenter.entity.prod.CsOrderDetailEntity;
import com.jarvis.lib.common.mybatisplus.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 售后订单详情表
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-29
 */
@DS(DbConstants.PROD)
public interface CsOrderDetailMapper extends IBaseMapper<CsOrderDetailEntity> {

    @Select("select max(cs_detail_id) from cs_order_detail")
    Long maxId();
}