package com.jarvis.dataCenter.mapper.warehouse;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.jarvis.dataCenter.constants.DbConstants;
import com.jarvis.dataCenter.entity.warehouse.DeliveryOrderDetailEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jarvis.lib.common.mybatisplus.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 发货单详情
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-10-30
 */
@DS(DbConstants.WAREHOUSE)
public interface DeliveryOrderDetailMapper extends IBaseMapper<DeliveryOrderDetailEntity> {

    @Select("select max(id) from delivery_order_detail")
    Long maxId();

}